/*****************************************************************************
 * $Id: main.hh,v 1.4 2006-02-25 05:39:54 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief
 * @remarks
 *//*
 * LEGAL:	COPYRIGHT (C) JIM E. BROOKS 2005
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef PYPERSRC_MAIN_HH
#define PYPERSRC_MAIN_HH 1

class Python
{
public:
				~Python();
	bool		Init( int argc, const char** argv, const string& importModule );
	bool		Call( const string& func, const vector<string>& args );
	bool		ExportAllModules( void );
	bool		ExportModule( const char* exportModule, PyMethodDef exportMethods[] );

	bool		mInit;
	bool		mCalling;

private:
	PyObject*	mPyImportModule;		// module imported from Python
	PyObject*	mPyImportModuleDict;	// borrowed reference
};

int
main( int argc, char** argv );

void
AppendPythonPath( const string& path );

void
Exit( int exitCode );

#endif // PYPERSRC_MAIN_HH
