# $Id: Utils.py,v 1.1 2006-02-25 03:56:48 devel Exp $
# Python functions implemented in C++.
# Author:   Jim Brooks  http://www.jimbrooks.org
# License:  GNU General Public License (GPL)
# LEGAL:    COPYRIGHT (C) JIM E. BROOKS 2006
#           THIS SOURCE CODE IS RELEASED UNDER THE TERMS
#           OF THE GNU GENERAL PUBLIC LICENSE (GPL).
# ==============================================================================

#-------------------------------------------------------------------------------
# Utility functions implemented in C++.
#-------------------------------------------------------------------------------

import pycpp_utils

def Find( haystack, needle, caseSens=False ):
    """ Case-insensitive string search (implemented in C++). """
    # Similar to string.find().
    # If haystack contains needle, returns index where needle is,
    # else returns -1 as no match.
    return pycpp_utils.Utils_Find( haystack, needle, caseSens )

def FindLines( haystack, needle, caseSens=False ):
    """ Returns a list of matching line numbers (implemented in C++). """
    return pycpp_utils.Utils_FindLines( haystack, needle, caseSens )
