# $Id: testPmwPane.py,v 1.1 2006-02-25 03:52:46 devel Exp $
# A trivial experiment with Python Mega Widgets (Pmw).
# Author:   Jim E. Brooks http://www.jimbrooks.org
# LEGAL:    COPYRIGHT (C) JIM E. BROOKS 2005
#           THIS SOURCE CODE IS RELEASED UNDER THE TERMS
#           OF THE GNU GENERAL PUBLIC LICENSE (GPL).
# ==============================================================================

import Tkinter
import Pmw
TK = Tkinter    # abbrev

class Panes:

    def __init__( s ):
        s.geom  = "400x400"
        s.root = TK.Tk()
        Pmw.initialise( s.root )

        s.pw = Pmw.PanedWidget( s.root )
        s.paned1 = s.pw.add( "pane1", min=0.5 )
        s.paned2 = s.pw.add( "pane2", min=0.5 )
        s.pw.pack(expand = 1, fill='both')
        
        s.label = TK.Label( s.paned1 )
        s.label.config( text="pane1" )
        s.label.pack( side="left", expand=1 )
        
        s.label = TK.Label( s.paned2 )
        s.label.config( text="pane2" )
        s.label.pack( side="left", expand=1 )
        
        
        s.root.geometry( s.geom )
        s.root.mainloop()

panes = Panes()
